Community Forum

XFi

Highlighted
New Poster

XFi

I’ve seen a couple people with the same problem, but when I log into the XFi app, it states, “Upgrade for this Experience.” When I click on the link it provides, it says, “You have the latest equipment.”

The app worked for a couple weeks when I first got xfinity internet, but it started doing this.
Highlighted
Official Employee

Re: XFi

Hi @Jpande

 

Thanks for sharing your experience here on the Xfinity Forums. Normally, that error message is triggered when you don't have and xFi compatible gateway. If you don't have a modem listed on this list and would like to upgrade so you can manage your network using xFi, send me a private message with your first and last name and I can ship you a compatible Comcast gateway. There will be a monthly rental fee if you decide to switch. To send a private message, click on "ComcastChe" and then click "send a message."  


I am an Official Comcast Employee.
Official Employees are from multiple teams within Comcast: CARE, Product, Leadership. We ask that you post publicly so people with similar questions may benefit from the conversation.
Was your question answered? Mark the post as Best Answer!